"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "getCodeStyles", {
  enumerable: true,
  get: function get() {
    return _styles.getCodeStyles;
  }
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = require("react");

var _core = require("@emotion/core");

var _components = require("@atlaskit/theme/components");

var _styles = require("./internal/theme/styles");

/** @jsx jsx */
var Code = /*#__PURE__*/(0, _react.memo)( /*#__PURE__*/(0, _react.forwardRef)(function Code(_ref, ref) {
  var testId = _ref.testId,
      props = (0, _objectWithoutProperties2.default)(_ref, ["testId"]);
  var theme = (0, _components.useGlobalTheme)();
  var styles = (0, _react.useMemo)(function () {
    return (0, _styles.getCodeStyles)(theme);
  }, [theme]);
  return (0, _core.jsx)("code", (0, _extends2.default)({
    ref: ref,
    "data-testid": testId,
    css: styles
  }, props));
}));
Code.displayName = 'Code';
var _default = Code;
exports.default = _default;