"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CODE_BLOCK_SELECTOR = exports.VAR_CODE_BG_COLOR = exports.VAR_CODE_LINE_NUMBER_BG_COLOR = exports.LINE_NUMBER_GUTTER = exports.SPACING = exports.HIGHLIGHT_BORDER_WIDTH = exports.CODE_LINE_HEIGHT = exports.CODE_FONT_SIZE = void 0;

var _constants = require("@atlaskit/theme/constants");

var CODE_FONT_SIZE = 12;
exports.CODE_FONT_SIZE = CODE_FONT_SIZE;
var CODE_LINE_HEIGHT = '20px';
exports.CODE_LINE_HEIGHT = CODE_LINE_HEIGHT;
var HIGHLIGHT_BORDER_WIDTH = '4px';
exports.HIGHLIGHT_BORDER_WIDTH = HIGHLIGHT_BORDER_WIDTH;
var SPACING = (0, _constants.gridSize)();
exports.SPACING = SPACING;
var LINE_NUMBER_GUTTER = SPACING * 2;
exports.LINE_NUMBER_GUTTER = LINE_NUMBER_GUTTER;
var VAR_CODE_LINE_NUMBER_BG_COLOR = '--ds--code--line-number-bg-color';
exports.VAR_CODE_LINE_NUMBER_BG_COLOR = VAR_CODE_LINE_NUMBER_BG_COLOR;
var VAR_CODE_BG_COLOR = '--ds--code--bg-color'; // selector for codeblock

exports.VAR_CODE_BG_COLOR = VAR_CODE_BG_COLOR;
var CODE_BLOCK_SELECTOR = "data-ds--code--code-block";
exports.CODE_BLOCK_SELECTOR = CODE_BLOCK_SELECTOR;